$(document).ready(function(){
	var payMoney = $("#payMoney").val();
	if(payMoney!=''){
		var authRemainAmt = $("#authRemainAmt").val();
		var remainAmt = authRemainAmt-payMoney;
		$("#remainAmt").html(remainAmt.toFixed(2));	
	}
});

function complete() {
	var payMoney = $("#payMoney").val();
	if(payMoney==''){
		alert("赔付金额不能为空！");
		return;
	}
	var authRemainAmt = parseFloat($("#authRemainAmt").val());
	if (payMoney > authRemainAmt) {
		alert("赔付金额不能大于授权剩余额度!");
		return;
	}
	//选择否，退出该责任，公共保额赔付金额为0；选择是，退出该责任，公共保额赔付金额为填写的赔付金额。
	var isZero = $("#isZero").val();
	if(isZero=='false' && !confirm("该被保险人个人保单保额尚未全额赔付，是否继续赔付公共保额？")){
		$("#payMoney").val(0);
	}
	pubAmountForm.submit();
}

function amtLinkage(){
	var money = $("#payMoney").val();
	var mny = /^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/;
	if(!mny.test(money)){
		$("#payMoney").val("");
	}
	var payMoney = $("#payMoney").val();
	if(payMoney!=''){
		var authRemainAmt = $("#authRemainAmt").val();
		var remainAmt = authRemainAmt-payMoney;
		$("#remainAmt").html(remainAmt.toFixed(2));
	}
}

function checkMoney(moneyInput){
	if($(moneyInput).val()!=""){
		var mny = /^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/;
		if(!mny.test($(moneyInput).val())){
			$(moneyInput).val("");
		}
	}
}
function checkTexts(value){
	if(value.length>100) {
		value=value.substr(0,100);
		$("#reliefReason").val(value);
	}
}

